Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.cas.proxy
Class RejectProxyTickets

    java.lang.Object
      org.acegisecurity.providers.cas.proxy.RejectProxyTickets

All Implemented Interfaces:
  CasProxyDecider, InitializingBean, MessageSourceAware

    public class RejectProxyTickets

extends Object
implements CasProxyDecider, MessageSourceAware, InitializingBean

Accepts no proxied requests.

This class should be used if only service tickets wish to be accepted (ie no proxy tickets at all).

Field Summary
`protected MessageSourceAccessor` | `messages`

Constructor Summary
`RejectProxyTickets()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `confirmProxyListTrusted(List proxyList)` Decides whether the proxy list is trusted.
`void` | `setMessageSource(MessageSource messageSource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messages

    protected MessageSourceAccessor messages

Constructor Detail

### RejectProxyTickets

    public RejectProxyTickets()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### confirmProxyListTrusted

    public void confirmProxyListTrusted(List proxyList)
                                 throws ProxyUntrustedException

  Description copied from interface: `CasProxyDecider`
  Decides whether the proxy list is trusted.

  Must throw any `ProxyUntrustedException` if the proxy list is untrusted.

  Specified by:
    `confirmProxyListTrusted` in interface `CasProxyDecider`
  Throws:
    `ProxyUntrustedException`

### setMessageSource

    public void setMessageSource(MessageSource messageSource)

  Specified by:
    `setMessageSource` in interface `MessageSourceAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.